name: timeSelect
type: object
meta:
    label: Zeitenwahl
    dependsOn:
        eval: $parent?.inputWidgets?.includes('timeSelect')
subFields:
    - name: standardInputProperties
      type: object
      meta:
          widget: containerLessObject
      subFields: !include standardInputProperties.yml

    - name: selectEntries
      type: object[]
      meta:
          label: Auswahleingabe
          widget: containerLessObjectArray
          helperText: "Die Angaben werden in folgendes Übersetzt: Anfangspunkt - Endpunkt"
          direction: horizontal

      subFields:
          - name: leftSide
            type: string
            meta:
                label: Anfangspunkt
                helperText: Bspw. 14:30
                containerProps:
                    layout:
                        size:
                            default: "col-6"
                            small: "col-12"
                            large: "col-6"

          - name: rightSide
            type: string
            meta:
                label: Endpunkt
                helperText: Bspw. 15:30
                containerProps:
                    layout:
                        size:
                            default: "col-6"
                            small: "col-12"
                            large: "col-6"
